org.eclipse.jgit.merge

## Class StrategyRecursive

- java.lang.Object
- - org.eclipse.jgit.merge.MergeStrategy
  - - org.eclipse.jgit.merge.ThreeWayMergeStrategy
    - - org.eclipse.jgit.merge.StrategyResolve
      - - org.eclipse.jgit.merge.StrategyRecursive

    public class StrategyRecursive
    extends StrategyResolve

A three-way merge strategy performing a content-merge if necessary

Since:
  3.0

### Field Summary

### Fields inherited from class org.eclipse.jgit.merge.MergeStrategy

`OURS, RECURSIVE, RESOLVE, SIMPLE_TWO_WAY_IN_CORE, THEIRS`

### Constructor Summary

Constructors
Constructor and Description
`StrategyRecursive()`

### Method Summary

Methods
`String` `getName()`
`ThreeWayMerger` `newMerger(Repository db)` Create a new merge instance.
`ThreeWayMerger` `newMerger(Repository db, boolean inCore)` Create a new merge instance.

### Methods inherited from class org.eclipse.jgit.merge.MergeStrategy

`get, get, register, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrategyRecursive

    public StrategyRecursive()

### Method Detail

#### newMerger

    public ThreeWayMerger newMerger(Repository db)

Description copied from class: `MergeStrategy`
Create a new merge instance.

Overrides:
  `newMerger` in class `StrategyResolve`
Parameters:
  `db` - repository database the merger will read from, and eventually write results back to.
Returns:
  the new merge instance which implements this strategy.

#### newMerger

    public ThreeWayMerger newMerger(Repository db,
                           boolean inCore)

Description copied from class: `MergeStrategy`
Create a new merge instance.

Overrides:
  `newMerger` in class `StrategyResolve`
Parameters:
  `db` - repository database the merger will read from, and eventually write results back to.
  `inCore` - the merge will happen in memory, working folder will not be modified, in case of a non-trivial merge that requires manual resolution, the merger will fail.
Returns:
  the new merge instance which implements this strategy.

#### getName

    public String getName()

Overrides:
  `getName` in class `StrategyResolve`
Returns:
  default name of this strategy implementation.